Package org.silverpeas.components.community

# Class CommunityUserDeletionListener

java.lang.Object
org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.UserEvent>
org.silverpeas.components.community.CommunityUserDeletionListener

All Implemented Interfaces:
  `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.user.notification.UserEvent>`

@Bean public class CommunityUserDeletionListener extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.UserEvent>
A listener of events concerning an operation applied on a user profile in Silverpeas. This listener has for goal to listen events triggered by a user profile deletion in order to check whether the user being deleted is a member of one or more community of users in Silverpeas. In this case, it will remove him from those communities.

Author:
  mmoquillon

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommunityUserDeletionListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onDeletion(org.silverpeas.core.admin.user.notification.UserEvent event)`

  ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

  `onEvent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

  `dispatchEvent, isEnabled, onCreation, onMove, onRecovery, onRemoving, onUnlock, onUpdate`

- ## Constructor Details

  - ### CommunityUserDeletionListener

    public CommunityUserDeletionListener()

- ## Method Details

  - ### onDeletion

    public void onDeletion(org.silverpeas.core.admin.user.notification.UserEvent event)